# musique de galilee plan incliné
from playsound import playsound
from numpy import sin,pi,sqrt
import time

# tx représente le temps écoulé pour partir de 0 et atteindre une longueur x sur le plan incliné
# g = cte de gavitation
# alpha l'angle de l'inclinaison du plan par rapport à l'origine
#     alpha =0 => plan horizontal donc pas de déplacement
#     alpha = 90 => plan vertical donc chute libre
def tx(x,angle):
    tx=sqrt(2*x/(g*sin(angle)))
    return tx

# angle et constante
angle=30
g=10
# transfo de l'angle en degré en radian
alpha=angle/180*pi

# valeurs des positions des clochettes
# si vous voulez permettre à l'utilisateur de jouer alors input
#x1=float(input("Valeur de X1="))
x1=0
x2=1
x3=4
x4=9

# utilisation de la fonction pour calculer les temps
t1=tx(x1,alpha)
t2=tx(x2,alpha)
t3=tx(x3,alpha)
t4=tx(x4,alpha)

# pause puis son
time.sleep(t1)
playsound('ding.wav')
# pause temps entre 2 clochettes puis son
time.sleep(t2-t1)
playsound('ding.wav')
# pause temps entre 2 clochettes puis son
time.sleep(t3-t2)
playsound('ding.wav')
# pause temps entre 2 clochettes puis son
time.sleep(t4-t3)
playsound('ding.wav')

print(x1,t1,t1-t1)
print(x2,t2,t2-t1)
print(x3,t3,t3-t2)
print(x4,t4,t4-t3)

